fslatency-nd(8)

NAME
fslatency-nd - Measure file system sync read and write latency distribution. Uses Linux SystemTap (non-debuginfo).

SYNOPSIS
fslatency-nd.stp [interval [count]]

DESCRIPTION
fslatency-nd.stp dynamically traces two common file system functions: do_sync_read() and do_sync_write(), and reports a histogram distribution of latency. Many, but not all, file systems and workloads use these functions. Tracing their time provides one view of suffered file system latency. Other file system requests not covered by these functions and this tool include: asynchronous I/O, directory operations, and file handle operations.

REQUIREMENTS
SystemTap.

OPTIONS

interval
    Interval for reports, in seconds.

count
    Number of reports to output.

EXAMPLES

Measure (most) file system synchronous read and write latency, and show a distribution histogram on Ctrl-C:
    # fslatency-nd.stp

Measure (most) file system synchronous read and write latency, and show a report every second, five times:
    # fslatency-nd.stp 1 5

FIELDS

value
    The minimum value, in nanoseconds, for this histogram bucket. Read this value as "I/O latency was at least xxx".

count
    How many reads/writes fell into this latency range.

OVERHEAD
The overheads are measurable, as file system requests can be very frequent, and the small overhead of tracing each (eg, 4 microseconds per call) can begin to add up. Best case, it won't be noticeable. Worst case, the application may run 2x slower.

SOURCE
This is from the SystemTap lwtools collection.

    https://github.com/brendangregg/systemtap-lwtools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
iostat(1), fsslower-nd.stp(8), biolatency-nd.stp(8)